clear; xdel(winsid());
g = 9.8; l = 1.0;
function ydot=pend(t,y)
ydot=zeros(2,1);
ydot(1)=y(2);
ydot(2)=-g/l *sin(y(1));
endfunction

omega=sqrt(g/l);
sita0= 15 * %pi / 180;
t=0:0.05:6;
y=ode([sita0;0],0,t, pend);
sita=sita0*cos(omega*t);

a=get("current_axes"); 
a.labels_font_size=4;
a.x_label.text="時間[sec]"   ; a.x_label.font_size=4;
a.y_label.text="θ[度]"      ; a.y_label.font_size=4;
plot(t,y(1,:)*180/%pi,'k', t,sita*180/%pi,'k-.')
