//減衰波形
clear; xdel(winsid());
x0 = [0.54, 0.0]' ; // 初期値
t0 = 0;
omegan = 7.6;
jita1=1.0; jita2=0.1;
M1 = [[0 1]; [-omegan^2    -2*jita1*omegan]];
M2 = [[0 1]; [-omegan^2    -2*jita2*omegan]];

deff("xdot = df1(t,x)", "xdot=M1*x");  
deff("xdot = df2(t,x)", "xdot=M2*x");  

t = t0: 0.01: 3;
y1 = ode(x0, t0, t, df1);  y2 = ode(x0, t0, t, df2);

a=get("current_axes"); 
a.labels_font_size=4;
a.x_label.text="時間"      ; a.x_label.font_size=4;
a.y_label.text="変位"      ; a.y_label.font_size=4;
plot(t, y1(1,:),'k');  plot(t, y2(1,:),'k-.');
