//多自由度系

clear; xdel(winsid());
m0=1; k0=1000;
M(1,1)=m0; M(2,2)=m0; M(3,3)=m0;
K(1,1)=2*k0   ; K(1,2)=-k0    ; K(1,3)=0.0;
K(2,1)=K(1,2) ; K(2,2)=2*k0   ; K(2,3)=-k0;
K(3,1)=K(1,3) ; K(3,2)=K(2,3) ; K(3,3)=2*k0;
IMK=inv(M)*K;
[al,be,R]=spec(K,M);
eig=al./be;
[s,k]=gsort(eig,'g','i');
om2=s; omegan=sqrt(om2);
fn=omegan/(2*%pi);
n=max(size(fn));
eig0=R(:,k); eig1=[1 1 1; ...
eig0(2,1)/eig0(1,1) eig0(2,2)/eig0(1,2) eig0(2,3)/eig0(1,3);...
eig0(3,1)/eig0(1,1) eig0(3,2)/eig0(1,2) eig0(3,3)/eig0(1,3)];
printf('\n\n 固有振動数(Hz) \n')
for(i=1:n)
printf('%8.4g\n',fn(i))
end
printf('\n モード行列\n')
for(i=1:n)
    for(j=1:n)
        printf('%8.4g ',eig1(i,j) );
    end
    printf('\n')
end
MM=eig1'*M*eig1; 
KK=eig1'*K*eig1; 
printf('\n モード質量\n')
for(i=1:n)
    for(j=1:n)
        printf('  %8.4g    ',MM(i,j) );
    end
    printf('\n')
end
printf('\n モード剛性\n')
for(i=1:n)
    for(j=1:n)
        printf('  %8.4g    ',KK(i,j) );
    end
    printf('\n')
end
